Browse Source

Merge "Drop nose dependencies"

tags/1.4.0^0
Zuul 1 year ago
parent
commit
6b64d85729
3 changed files with 2 additions and 14 deletions
  1. 1
    7
      lower-constraints.txt
  2. 1
    1
      requirements.txt
  3. 0
    6
      test-requirements.txt

+ 1
- 7
lower-constraints.txt View File

@@ -18,7 +18,6 @@ Django==1.8
django-appconf==1.0.2
django-babel==0.5.1
django-compressor==2.0
django-nose==1.4.4
django-pyscss==2.0.2
doc8==0.6.0
docutils==0.11
@@ -32,7 +31,7 @@ flake8-import-order==0.12
futurist==1.2.0
greenlet==0.4.10
hacking==0.12.0
horizon==14.0.0.0b1
horizon==14.0.0.0b3
idna==2.6
iso8601==0.1.11
Jinja2==2.10
@@ -53,11 +52,6 @@ munch==2.1.0
netaddr==0.7.18
netifaces==0.10.4
nodeenv==0.9.4
nose==1.3.7
nose-exclude==0.3.0
nosehtmloutput==0.0.3
nosexcover==1.0.10
openstack.nose-plugin==0.7
openstacksdk==0.11.2
os-client-config==1.28.0
os-service-types==1.2.0

+ 1
- 1
requirements.txt View File

@@ -12,7 +12,7 @@ python-heatclient>=1.10.0 # Apache-2.0

# This will be installed from git in OpenStack CI if the job setting
# required-projects for horizon:
horizon>=14.0.0.0b1 # Apache-2.0
horizon>=14.0.0.0b3 # Apache-2.0

xstatic-angular-uuid>=0.0.4.0 # MIT
xstatic-angular-vis>=4.16.0.0 # MIT

+ 0
- 6
test-requirements.txt View File

@@ -10,15 +10,9 @@
hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0
#
coverage!=4.4,>=4.0 # Apache-2.0
django-nose>=1.4.4 # BSD
doc8>=0.6.0 # Apache-2.0
flake8-import-order==0.12 # LGPLv3
mock>=2.0.0 # BSD
mox3>=0.20.0 # Apache-2.0
nodeenv>=0.9.4 # BSD
nose>=1.3.7 # LGPL
nose-exclude>=0.3.0 # LGPL
nosehtmloutput>=0.0.3 # Apache-2.0
nosexcover>=1.0.10 # BSD
openstack.nose-plugin>=0.7 # Apache-2.0
testtools>=2.2.0 # MIT

Loading…
Cancel
Save